LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 06-08-2009, 05:40 AM   #1
festhead
LQ Newbie
 
Registered: Sep 2007
Posts: 12

Rep: Reputation: 0
Glib/pango problem


Hi!

Having this problem lately after compiling gtk+, glib and pango from source.

Allready tried rebuild, reinstall with apt, but nothing helps.

Half the programs i use, do not run anymore

Quote:
(nvidia-settings:8381): GLib-GObject-CRITICAL **: g_object_get_qdata: assertion `G_IS_OBJECT (object)' failed

(nvidia-settings:8381): GLib-GObject-CRITICAL **: g_object_set_qdata_full: assertion `G_IS_OBJECT (object)' failed
**
Pango:ERROR: pangofc-fontmap.c:2138: pango_fc_font_description_from_pattern: assertion failed: (res == FcResultMatch)

Any tips on how to solve this?

Thx!
Fest.

Last edited by festhead; 06-08-2009 at 08:46 AM.
 
Old 06-08-2009, 10:08 AM   #2
headrift
Member
 
Registered: Sep 2005
Distribution: Gentoo, Sabayon, Puppy, Arch
Posts: 165

Rep: Reputation: 29
Which distro are you using? You say you have apt, so I'm guessing Ubuntu or Debian.

Anyway, if you haven't done it, I would `make uninstall` in the source directory, and then `apt-get install gtk+` or something like that.

That's all presuming you installed the source correctly. Different distros put different files in different places. You may have needed to configure with a prefix to get it to work right.
 
Old 06-08-2009, 10:38 AM   #3
festhead
LQ Newbie
 
Registered: Sep 2007
Posts: 12

Original Poster
Rep: Reputation: 0
debian indeed
 
Old 06-16-2009, 02:35 AM   #4
festhead
LQ Newbie
 
Registered: Sep 2007
Posts: 12

Original Poster
Rep: Reputation: 0
nobody?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
About pkgconfig,glib,pango,etc shikuojia Red Hat 1 07-09-2007 06:54 AM
Problem installing glib/pango/gtk+ WRSpithead Linux - Software 10 03-26-2005 12:57 PM
pango configure problem with glib from source loco_g Linux - Software 1 01-06-2005 10:11 AM
Pango wants >=glib-2.4.0, I installed glib 2.4.7 and pango still says I need >=2.4.0 Locura Red Hat 5 11-01-2004 05:53 PM
Pango-1.2.1 and GLib-2.2.1 Adam Shapiro Linux - Software 0 04-19-2003 12:52 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:53 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration